org.eclipse.eef.ide.api.extensions.impl

## Class ItemDescriptor<T>

- java.lang.Object
- - org.eclipse.eef.ide.api.extensions.impl.ItemDescriptor<T>

Type Parameters:
  `T` - The type of the object described

All Implemented Interfaces:
  IItemDescriptor<T>

    public class ItemDescriptor<T>
    extends java.lang.Object
    implements IItemDescriptor<T>

The implementation of the `IItemDescriptor`.

### Constructor Summary

Constructors
Constructor and Description
`ItemDescriptor(java.lang.String id, java.lang.String label, java.lang.String description, T instance)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Returns the description.
`java.lang.String` `getID()` Returns the identifier.
`T` `getItem()` Returns the item.
`java.lang.String` `getLabel()` Returns the label.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemDescriptor

    public ItemDescriptor(java.lang.String id,
                          java.lang.String label,
                          java.lang.String description,
                          T instance)

The constructor.

Parameters:
  `id` - The identifier
  `label` - The label
  `description` - The description
  `instance` - The instance

### Method Detail

#### getID

    public java.lang.String getID()

Returns the identifier.

Specified by:
  `getID` in interface `IItemDescriptor<T>`
Returns:
  The identifier
See Also:
  `IItemDescriptor.getID()`

#### getLabel

    public java.lang.String getLabel()

Returns the label.

Specified by:
  `getLabel` in interface `IItemDescriptor<T>`
Returns:
  The label
See Also:
  `IItemDescriptor.getLabel()`

#### getDescription

    public java.lang.String getDescription()

Returns the description.

Specified by:
  `getDescription` in interface `IItemDescriptor<T>`
Returns:
  The description
See Also:
  `IItemDescriptor.getDescription()`

#### getItem

    public T getItem()

Returns the item.

Specified by:
  `getItem` in interface `IItemDescriptor<T>`
Returns:
  The item
See Also:
  `IItemDescriptor.getItem()`